using System.Text.Json;
using System.Text.Json.Serialization;

namespace View_by_Distance.Shared.Models;

public record class SortingContainer : Properties.ISortingContainer
{

    public Face Face { init; get; }
    public Sorting Sorting { init; get; }

    [JsonConstructor]
    public SortingContainer(Face face, Sorting sorting)
    {
        Face = face;
        Sorting = sorting;
    }

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true });
        return result;
    }

}