using View_by_Distance.Shared.Models.Stateless;

namespace View_by_Distance.Property.Models.Stateless;

public interface IResult
{

    string TestStatic_GetRelativePath(Configuration configuration, string path);
    static string GetRelativePath(Configuration configuration, string path)
        => Result.GetRelativePath(configuration, path);

    string TestStatic_GetResultsGroupDirectory(Configuration configuration, string description, bool create);
    static string GetResultsGroupDirectory(Configuration configuration, string description, bool create)
        => Result.GetResultsGroupDirectory(configuration, description, create);

    string TestStatic_GetResultsGroupDirectory(Configuration configuration, string description);
    static string GetResultsGroupDirectory(Configuration configuration, string description)
        => Result.GetResultsGroupDirectory(configuration, description, create: true);

    string TestStatic_GetResultsDateGroupDirectory(Configuration configuration, string description);
    static string GetResultsDateGroupDirectory(Configuration configuration, string description)
        => Result.GetResultsDateGroupDirectory(configuration, description);

    string TestStatic_GetResultsDateGroupDirectory(Configuration configuration, string description, string jsonGroup);
    static string GetResultsDateGroupDirectory(Configuration configuration, string description, string jsonGroup)
        => Result.GetResultsDateGroupDirectory(configuration, description, jsonGroup);

    List<string> TestStatic_GetDirectoryInfoCollection(Configuration configuration, string sourceDirectory, string dateGroupDirectory, string contentDescription, string singletonDescription, string collectionDescription);
    static List<string> GetDirectoryInfoCollection(Configuration configuration, string sourceDirectory, string dateGroupDirectory, string contentDescription, string singletonDescription, string collectionDescription, bool converted)
        => Result.GetDirectoryInfoCollection(configuration, sourceDirectory, dateGroupDirectory, contentDescription, singletonDescription, collectionDescription, converted);

    string TestStatic_GetResultsFullGroupDirectory(Configuration configuration, Model? model, PredictorModel? predictorModel, string description, string outputResolution, bool includeResizeGroup, bool includeModel, bool includePredictorModel);
    static string GetResultsFullGroupDirectory(Configuration configuration, Model? model, PredictorModel? predictorModel, string description, string outputResolution, bool includeResizeGroup, bool includeModel, bool includePredictorModel)
        => Result.GetResultsFullGroupDirectory(configuration, model, predictorModel, description, outputResolution, includeResizeGroup, includeModel, includePredictorModel);

    List<string> TestStatic_GetDirectoryInfoCollection(Configuration configuration, Model? model, PredictorModel? predictorModel, string sourceDirectory, string description, string outputResolution, bool includeResizeGroup, bool includeModel, bool includePredictorModel, string contentDescription, string singletonDescription, string collectionDescription);
    static List<string> GetDirectoryInfoCollection(Configuration configuration, Model? model, PredictorModel? predictorModel, string sourceDirectory, string description, string outputResolution, bool includeResizeGroup, bool includeModel, bool includePredictorModel, string contentDescription, string singletonDescription, string collectionDescription)
        => Result.GetDirectoryInfoCollection(configuration, model, predictorModel, sourceDirectory, description, outputResolution, includeResizeGroup, includeModel, includePredictorModel, contentDescription, singletonDescription, collectionDescription);

}