namespace View_by_Distance.Shared.Models.Stateless.Methods;

public interface IFace
{ // ...

    string TestStatic_GetJson(string jsonFileFullName);
    static string GetJson(string jsonFileFullName) => Face.GetJson(jsonFileFullName);

    double TestStatic_Getα(int x1, int x2, int y1, int y2);
    static double Getα(int x1, int x2, int y1, int y2) => Face.Getα(x1, x2, y1, y2);

    Models.Face TestStatic_GetFace(string jsonFileFullName);
    static Models.Face GetFace(string jsonFileFullName) => Face.GetFace(jsonFileFullName);

    Models.Face[] TestStatic_GetFaces(string jsonFileFullName);
    static Models.Face[] GetFaces(string jsonFileFullName) => Face.GetFaces(jsonFileFullName);

    Models.Face[] TestStatic_Getα(Dictionary<FacePart, Models.FacePoint[]> faceParts);
    static double? Getα(Dictionary<FacePart, Models.FacePoint[]> faceParts) => Face.Getα(faceParts);

    int?[] TestStatic_GetInts(List<Models.Face> faces);
    static int?[] GetInts(List<Models.Face> faces) =>
        (from l in faces where l.FaceEncoding is not null && l.Location?.NormalizedPixelPercentage is not null select l.Location?.NormalizedPixelPercentage).ToArray();

}